<template>
  <div class="grid grid-cols-6 gap-1">
    <div class="w-full h-[280px] col-span-4" v-if="!banner1.IsHidden">
      <nuxt-link :to="banner1.HyperLink">
        <img :src="banner1.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
    <div class="w-full h-[280px] col-span-2" v-if="!banner2.IsHidden">
      <nuxt-link :to="banner2.HyperLink">
        <img :src="banner2.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
  </div>
  <div class="grid grid-cols-6 gap-1 mt-1">
    <div class="w-full h-[225px] col-span-2" v-if="!banner3.IsHidden">
      <nuxt-link :to="banner3.HyperLink">
        <img :src="banner3.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
    <div class="w-full h-[225px] col-span-2" v-if="!banner4.IsHidden">
      <nuxt-link :to="banner4.HyperLink">
        <img :src="banner4.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
    <div class="w-full h-[225px]" v-if="!banner5.IsHidden">
      <nuxt-link :to="banner5.HyperLink">
        <img :src="banner5.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
    <div class="w-full h-[225px]" v-if="!banner6.IsHidden">
      <nuxt-link :to="banner6.HyperLink">
        <img :src="banner6.ImagePath" class="object-cover w-full h-full" />
      </nuxt-link>
    </div>
  </div>
  <div class="custom-popular-match-blue3" v-if="isRecommendMatchEnabled">
    <sport-popular-match />
  </div>
  <div class="grid w-full mt-1" v-if="!banner7.IsHidden">
    <img :src="banner7.ImagePath" class="object-cover w-full h-full" />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "Home",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const banner1 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_1"
        )
    );
    const banner2 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2"
        )
    );
    const banner3 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_3"
        )
    );
    const banner4 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_4"
        )
    );
    const banner5 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_5"
        )
    );
    const banner6 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_6"
        )
    );
    const banner7 = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_7"
        )
    );
    const isRecommendMatchEnabled = computed(
      (): boolean =>
        !themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "sportsbook_recommend_matches"
        ).IsHidden
    );
    return {
      banner1,
      banner2,
      banner3,
      banner4,
      banner5,
      banner6,
      banner7,
      isRecommendMatchEnabled,
    };
  },
});
</script>
<style scoped lang="scss">
.custom-popular-match-blue3 {
  :deep(.popular-match .custom-popular-match-card-desktop) {
    min-width: var(--default-width);
    margin: 11px 0px;
  }
  :deep(.custom-popular-match-card-desktop) {
    gap: unset;
    justify-content: space-between;
  }
}
</style>
